package com.alibaba.druid.stat;

import java.util.Date;
import javax.management.JMException;
import javax.management.openmbean.CompositeData;

public interface JdbcStatementStatMBean {
   long getCreateCount();

   long getPrepareCount();

   long getPrepareCallCount();

   long getCloseCount();

   long getExecuteMillisTotal();

   long getExecuteSuccessCount();

   Date getLastErrorTime();

   CompositeData getLastError() throws JMException;

   Date getExecuteLastTime();

   int getRunningCount();

   int getConcurrentMax();

   long getExecuteCount();

   long getErrorCount();
}
